Bug 465554 - software.channel.listLatestPackages returns id as Intetger not String
software.channel.listLatestPackages returns id as Intetger not String
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Jay Dobies
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2008-10-03 16:43 EDT by Justin Sherrill
Modified: 2009-09-10 15:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:53:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-10-03 16:43:28 EDT
the docs for software.channel.listLatestPackages says it returns 'id' as a string, but this is actually an int.
Comment 1 Brad Buckingham 2009-02-11 08:57:36 EST
Updated with git commit: 7259087459fcc0663ede9e74182af929dfb94202
Comment 2 John Matthews 2009-02-17 09:55:44 EST
Should the below be "latest" instead of "largest"?

"Lists the packages with the largest version (including release and epoch) for the given channel"





ISO: Satellite-5.3.0-RHEL5-re20090213.1-i386-embedded-oracle.iso

Method: listLatestPackages
Description:
Lists the packages with the largest version (including release and epoch) for the given channel

Parameters:

    * string sessionKey
    * string channelLabel - channel to query

Returns:

    * array:
          o struct - package
                + string "name"
                + string "version"
                + string "release"
                + string "epoch"
                + int "id"
                + string "arch_label"
Comment 3 Brad Buckingham 2009-02-17 11:27:52 EST
Either 'largest' or 'latest' is correct; however, 'latest' would be the better word for the apidoc.  I can update that.  Unfortunately, I didnt' catch that in the original doc when fixing the bug reported. :(
Comment 4 John Matthews 2009-02-17 17:12:08 EST
Moving this back to ASSIGNED to address the "/s/largest/latest/" suggestion.  

Note:  Other changes looked good on ISO: Satellite-5.3.0-RHEL5-re20090213.1-i386-embedded-oracle.iso, once "largest" is changed to "latest" it can be VERIFIED
Comment 5 Brad Buckingham 2009-02-18 10:34:14 EST
git commit: 0bdda3aaa696dbe22884e5b8e6e939e1f9f51d7f

New doc:

Method: listLatestPackages
Description:
Lists the packages with the latest version (including release and epoch) for the given channel

Parameters:

    * string sessionKey
    * string channelLabel - channel to query

Returns:

    * array:
          o struct - package
                + string "name"
                + string "version"
                + string "release"
                + string "epoch"
                + int "id"
                + string "arch_label"
Comment 6 John Matthews 2009-02-24 20:09:09 EST
Verified 
ISO: Satellite-5.3.0-RHEL5-re20090220.1-i386-embedded-oracle.iso

Method: listLatestPackages
Description:
Lists the packages with the latest version (including release and epoch) for the given channel

Parameters:

    * string sessionKey
    * string channelLabel - channel to query

Returns:

    * array:
          o struct - package
                + string "name"
                + string "version"
                + string "release"
                + string "epoch"
                + int "id"
                + string "arch_label"
Comment 7 Jay Dobies 2009-08-13 14:01:34 EDT
Verified on test1182.
Comment 8 Brandon Perkins 2009-09-10 15:53:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.